
       module comgeomfi_h

       implicit none

       ! These arrays are allocated in phys_state_var_init
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: long ! longitudes (rad)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: lati ! latitudes (rad)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: area ! mesh area (m2)
       REAL,SAVE :: totarea
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: sinlon 
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: coslon
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: sinlat
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: coslat

       contains

         subroutine ini_comgeomfi_h(ngrid)

         implicit none
         integer,intent(in) :: ngrid ! number of atmospheric columns

         allocate(lati(ngrid))
         allocate(long(ngrid))
         allocate(area(ngrid))

         end subroutine ini_comgeomfi_h

         subroutine ini_sincosgeom(ngrid)

         implicit none
         integer,intent(in) :: ngrid ! number of atmospheric columns
         integer :: ig

         if (.not.allocated(lati)) then
           PRINT*,"lati not allocated. did you run ini_comgeomfi_h?"
           STOP
         endif

         allocate(sinlat(ngrid))
         allocate(coslat(ngrid))
         allocate(sinlon(ngrid))
         allocate(coslon(ngrid))
         DO ig=1,ngrid
            sinlat(ig)=sin(lati(ig))
            coslat(ig)=cos(lati(ig))
            sinlon(ig)=sin(long(ig))
            coslon(ig)=cos(long(ig))
         ENDDO
         end subroutine ini_sincosgeom

       end module comgeomfi_h

