      SUBROUTINE phys_state_var_init(ngrid,nlayer,nq,plat,plon,parea)

!=======================================================================
!
!   purpose:
!   -------
!
!   Allocate arrays in modules
!   Fill geometrical arrays
!   -- was done previously in inifis
!
!=======================================================================
!   
!   authors: Ehouarn Millour and Aymeric Spiga
!            14/04/2014
!
!   arguments:
!   ----------
!
!   input:
!   ------
!
!    ngrid                 Size of the horizontal grid.
!    nlayer                Number of vertical layers.
!    nq                    Number of tracers.
!
!=======================================================================

      use slope_mod, only: ini_slope_mod
      use comsaison_h, only: ini_comsaison_h
      use surfdat_h, only: ini_surfdat_h
      use comgeomfi_h, only: ini_comgeomfi_h,long,lati,area,totarea,ini_sincosgeom
      use comsoil_h, only: ini_comsoil_h
      use dimradmars_mod, only: ini_dimradmars_mod
      use yomaer_h,only: ini_yomaer_h
      use yomlw_h, only: ini_yomlw_h
      use conc_mod, only: ini_conc_mod
      use turb_mod, only: ini_turb_mod

      IMPLICIT NONE
      
      INTEGER,INTENT(IN) :: ngrid,nlayer,nq
      REAL,INTENT(IN) :: plat(ngrid),plon(ngrid),parea(ngrid)
      EXTERNAL SSUM
      REAL SSUM

      ! allocate "slope_mod" arrays
      call ini_slope_mod(ngrid)

      ! allocate "comsaison_h" arrays
      call ini_comsaison_h(ngrid)

      ! allocate "surfdat_h" arrays
      call ini_surfdat_h(ngrid,nq)

      ! allocate "comgeomfi_h" arrays
      call ini_comgeomfi_h(ngrid)
      ! fill "comgeomfi_h" data
      call SCOPY(ngrid,plon,1,long,1)
      call SCOPY(ngrid,plat,1,lati,1)
      call SCOPY(ngrid,parea,1,area,1)
      totarea=SSUM(ngrid,area,1)
      ! create sin cos lat lon arrays
      ! -- previously in comdiurn
      CALL ini_sincosgeom(ngrid)

      ! allocate "comsoil_h" arrays
      call ini_comsoil_h(ngrid)

      ! set some variables in "dimradmars_mod"
      call ini_dimradmars_mod(ngrid,nlayer)

      ! allocate arrays in "yomaer_h"
      call ini_yomaer_h

      ! allocate arrays in "yomlw_h"
      call ini_yomlw_h(ngrid)

      ! allocate arrays in "conc_mod" (aeronomars)
      call ini_conc_mod(ngrid,nlayer)

      ! allocate arrays in "turb_mod"
      call ini_turb_mod(ngrid,nlayer)

      END SUBROUTINE phys_state_var_init
