module turb_mod

  !! variables
  REAL,SAVE,ALLOCATABLE :: q2(:,:)    ! Turbulent Kinetic Energy
  REAL,allocatable,SAVE :: l0(:)
  REAL,SAVE,ALLOCATABLE :: wstar(:)
  REAL,SAVE,ALLOCATABLE :: hfmax_th(:)

contains

  subroutine ini_turb_mod(ngrid,nlayer)
  
  implicit none
  integer,intent(in) :: ngrid ! number of atmospheric columns
  integer,intent(in) :: nlayer ! number of atmospheric layers

    allocate(q2(ngrid,nlayer+1))
    allocate(l0(ngrid))
    allocate(wstar(ngrid))
    allocate(hfmax_th(ngrid))
 
  end subroutine ini_turb_mod

end module turb_mod
